# -*- Mode: Shell-script     -*- 
# -*- vim: set filetype=csh: -*-
#             ,,,
#            (o o)
####=====oOO--(_)--OOO=========================================####
#
#  Alliance CAD system environnement
#  Usage (in C-shell) : > source alc_env.csh
#  (C) 1997 Czo  -- <Olivier.Sirol@lip6.fr>
#  $Id: alc_env.csh.in,v 1.10 2009/09/01 21:33:39 jpc Exp $
#  Generated from alc_env.csh.in on Tue Aug  7 17:49:00 EDT 2012

# $ALLIANCE_OS and $ALLIANCE_TOP are the only variables you will
# have to modify if something goes wrong

# Which platform for Alliance CAD

# WARNING : if changing this remember to do it on the 3 config files :
# configure.in alc_env.sh.in and alc_env.csh.in


# Where the Alliance CAD is installed
 setenv ALLIANCE_TOP         "/usr/lib64/alliance"


# Alliance environment variables.
 setenv MBK_IN_LO            vst
 setenv MBK_OUT_LO           vst
 setenv MBK_IN_PH            ap
 setenv MBK_OUT_PH           ap
 
 setenv MBK_WORK_LIB         .
 setenv MBK_CATAL_NAME       CATAL
 
 setenv MBK_SCALE_X          100
 
 setenv VH_MAXERR            10
 setenv VH_BEHSFX            vbe
 setenv VH_PATSFX            pat
 setenv VH_DLYSFX            dly
 
 setenv MBK_CATA_LIB         ".:${ALLIANCE_TOP}/cells/sxlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${ALLIANCE_TOP}/cells/dp_sxlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${ALLIANCE_TOP}/cells/rflib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${ALLIANCE_TOP}/cells/rf2lib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${ALLIANCE_TOP}/cells/romlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${ALLIANCE_TOP}/cells/ramlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${ALLIANCE_TOP}/cells/pxlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${ALLIANCE_TOP}/cells/padlib"
 setenv MBK_TARGET_LIB       "${ALLIANCE_TOP}/cells/sxlib"
 setenv MBK_C4_LIB           ./cellsC4 
 
 setenv MBK_VDD              vdd
 setenv MBK_VSS              vss
 
 setenv XPAT_PARAM_NAME      "${ALLIANCE_TOP}/etc/xpat.par"
 setenv XFSM_PARAM_NAME      "${ALLIANCE_TOP}/etc/xfsm.par"
 setenv XSCH_PARAM_NAME      "${ALLIANCE_TOP}/etc/xsch.par"
 
 setenv RDS_IN               cif
 setenv RDS_OUT              cif
 
 setenv DREAL_TECHNO_NAME    "${ALLIANCE_TOP}/etc/cmos.dreal"
 setenv GRAAL_TECHNO_NAME    "${ALLIANCE_TOP}/etc/cmos.graal"
 setenv GENVIEW_TECHNO_NAME  "${ALLIANCE_TOP}/etc/cmos.genview"
 
 setenv RDS_TECHNO_NAME      "${ALLIANCE_TOP}/etc/cmos.rds"
 setenv ELP_TECHNO_NAME      "${ALLIANCE_TOP}/etc/prol.elp"


# System environment variables.
 if ( $?PATH ) then
   setenv PATH "${PATH}:${ALLIANCE_TOP}/bin"
 else
   setenv PATH "${ALLIANCE_TOP}/bin"
 endif

# Only needed on Solaris (included in /etc/ld.so.conf under Linux).
 if ( $?LD_LIBRARY_PATH ) then
   setenv LD_LIBRARY_PATH "${LD_LIBRARY_PATH}:${ALLIANCE_TOP}/lib"
 else
   setenv LD_LIBRARY_PATH "${ALLIANCE_TOP}/lib:`manpath`"
 endif

 if ( $?MANPATH ) then
   setenv MANPATH "${MANPATH}:${ALLIANCE_TOP}/man"
 else
   setenv MANPATH ":${ALLIANCE_TOP}/man"
 endif
 
 # fixing *** ERROR *** : Variable MBK_SPI_MODEL not found.
 setenv MBK_SPI_MODEL     "${ALLIANCE_TOP}/etc/spimodel.cfg"
